/**
 * OLAT - Online Learning and Training<br>
 * http://www.olat.org
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 */
package de.bps.course.nodewizard.coursenode;

import static org.junit.Assert.assertEquals;

import java.nio.file.Paths;
import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

/**
 * @author daniel.haag <at> uibk.ac.at
 * 
 * @date 06.06.2018
 * 
 */
public class SPCourseNodeCopyConfiguratorTest {

	@Test
	public void enhanceWithCopyPatternTest() {
		String copyExtension = "copy";
		
		Map<String,String> testcases = new HashMap<>();
		
		testcases.put("/subdir_xyz/.abc.123.sdf.txt", "/subdir_xyz/.abc.123.sdf_copy.txt");
		testcases.put("/subdir_abc/abc123sdf", "/subdir_abc/abc123sdf_copy");
		testcases.put("/subdir_def/.abc123invis", "/subdir_def/.abc123invis_copy");
		testcases.put("subdir.def/.abc123invis", "subdir.def/.abc123invis_copy");
		
		testcases.forEach((source,target) -> assertEquals("filename got enhanced",
				target,	SPCourseNodeCopyConfigurator.enhanceWithCopyPattern(Paths.get(source), copyExtension).toString()));

	}

}
